Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojavax.bio.phylo.io.nexus
Interface TaxaBlockListener

All Superinterfaces:
  NexusBlockListener

All Known Implementing Classes:
  TaxaBlockBuilder

    public interface TaxaBlockListener

extends NexusBlockListener

Listens to events that represent Nexus taxa blocks.

Since:
  1.6
Author:
  Richard Holland, Tobias Thierer, Jim Balhoff

Method Summary
`void` | `addTaxLabel(String taxLabel)` Add another value after the TAXLABEL tag.
`void` | `setDimensionsNTax(int dimensionsNTax)` Set the DIMENSIONS NTAX value.

Methods inherited from interface org.biojavax.bio.phylo.io.nexus.NexusBlockListener
`beginComment, commentText, endBlock, endComment, endTokenGroup, startBlock`

Method Detail

### setDimensionsNTax

    void setDimensionsNTax(int dimensionsNTax)

  Set the DIMENSIONS NTAX value.

  Parameters:
    `dimensionsNTax` - the new value.

### addTaxLabel

    void addTaxLabel(String taxLabel)
                     throws ParseException

  Add another value after the TAXLABEL tag.

  Parameters:
    `taxLabel` - the new taxa to add.
  Throws:
    `ParseException` - if the label is invalid.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD